
function marcarCheckbox(nome, valores, separadorvalores){
    var elementos = document.getElementsByName(nome);
    var arrayvalores = valores.split(separadorvalores);
    for(i = 0; i < elementos.length; i++){
        if(arrayvalores.includes(elementos[i].value)) elementos[i].checked = true;
    }
}


function validaCPF(cpfOriginal) {
    cpfOriginal = cpfOriginal.replace('.','');
    cpfOriginal = cpfOriginal.replace('.','');
    cpfOriginal = cpfOriginal.replace('-','');
    var stringRegex = "[0-9]{11}";
    stringRegex = '(' + stringRegex + ')?';
    //Faz com que a Regex valide a string inteira
    stringRegex = '^' + stringRegex + '$';
    //Cria o objeto de Regex e diz que ele deve usar análise global da String
    var regexCPF = new RegExp(stringRegex, 'g');

    //Testa se o dado tem o formato de um CPF
    if (!regexCPF.test(cpfOriginal)) {
        return false;
    }

    //Testa se todos os dígitos do CPF são diferentes
    var primeiroDigito = cpfOriginal[0];
    var digitosIguais = true;

    for (var i = 1; i < cpfOriginal.length && digitosIguais; i++) {
        digitosIguais &= cpfOriginal[i] === primeiroDigito;
    }

    if (digitosIguais) {
        return false;
    }

    //Pega os primeiros nove dígitos do CPF digitado
    var cpfGerado = cpfOriginal.substr(0, 9);

    //Gera o décimo dígito
    var digito10 = 0;
    for (var i = 0; i < 9; i++) {
        digito10 += (cpfGerado[i]) * (10 - i);
    }
    digito10 = 11 - (digito10 % 11);
    if (digito10 == 10 || digito10 == 11) {
        digito10 = 0;
    }
    cpfGerado += digito10;

    //Gera o décimo primeiro dígito
    var digito11 = 0;
    for (var i = 0; i < 10; i++) {
        digito11 += (cpfGerado[i]) * (11 - i);
    }
    digito11 = 11 - (digito11 % 11);
    if (digito11 == 10 || digito11 == 11) {
        digito11 = 0;
    }
    cpfGerado += digito11;

    console.log(cpfOriginal);
    console.log(cpfGerado);

    //Testa se o CPF gerado é igual ao original
    return cpfGerado === cpfOriginal;
}


function mostrarTipo(tipo){
    if(tipo == 'alternativaletra'){
        mostrarelementos = document.getElementsByClassName('alternativaletra');
        for(i = 0; i < mostrarelementos.length; i++){
            mostrarelementos[i].style.display = 'table-row';
        }
        esconderelementos = document.getElementsByClassName('falsoverdadeiro');
        for(i = 0; i < esconderelementos.length; i++){
            esconderelementos[i].style.display = 'none';
        }
    }else if(tipo == 'falsoverdadeiro'){ 
        mostrarelementos = document.getElementsByClassName('falsoverdadeiro');
        for(i = 0; i < mostrarelementos.length; i++){
            mostrarelementos[i].style.display = 'table-row';
        }
        esconderelementos = document.getElementsByClassName('alternativaletra');
        for(i = 0; i < esconderelementos.length; i++){
            esconderelementos[i].style.display = 'none';
        }
    }else if(tipo == 'texto'){ 
        esconderelementos = document.getElementsByClassName('falsoverdadeiro');
        for(i = 0; i < esconderelementos.length; i++){
            esconderelementos[i].style.display = 'none';
        }
        esconderelementos = document.getElementsByClassName('alternativaletra');
        for(i = 0; i < esconderelementos.length; i++){
            esconderelementos[i].style.display = 'none';
        }

        esconderelementos = document.getElementsByClassName('alternativas');
        for(i = 0; i < esconderelementos.length; i++){
            esconderelementos[i].style.display = 'none';
        }
    }
}

